Create Checkout
POST
/billing/checkout
Create a Stripe Checkout Session for subscription purchase.
Requires billing admin (owner/admin role). Resolves the selected tier to a Stripe Price ID, creates a Stripe Customer if needed, and returns the Checkout Session URL for redirect.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” CheckoutRequest
Request body for POST /billing/checkout.
object
tier_id
required
Tier Id
string
Responses
Section titled “ Responses ”Successful Response
CheckoutResponse
Response body for POST /billing/checkout.
object
checkout_url
required
Checkout Url
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context